Bug 1870784 - CatalogSource generate 2 pods and keep restarting
Summary: CatalogSource generate 2 pods and keep restarting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.4.z
Assignee: Ankita Thomas
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1870782
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-20 17:49 UTC by Ankita Thomas
Modified: 2020-11-11 04:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1870782
Environment:
Last Closed: 2020-11-11 04:57:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1782 0 None closed [release-4.4] Bug 1870784: Retry conflicting catalog source pod update after fetching latest pod spec 2020-11-05 20:17:40 UTC
Red Hat Bugzilla 1870782 0 high CLOSED CatalogSource generate 2 pods and keep restarting 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2020:4321 0 None None None 2020-11-11 04:57:11 UTC

Comment 1 Kevin Rizza 2020-08-20 19:07:06 UTC
Waiting on 4.6 verification and backport. Marking for upcoming sprint.

Comment 4 Jian Zhang 2020-10-22 04:05:21 UTC
Cluster version is 4.4.0-0.nightly-2020-10-21-225937

[root@preserve-olm-env data]# oc -n openshift-operator-lifecycle-manager exec catalog-operator-684d987cfc-cqzgr -- olm --version
OLM version: 0.14.2
git commit: 8fb5f8c63a35b9f8ef1937a9dc7b616c400e3c07

[root@preserve-olm-env data]# oc get catalogsource
NAME                  DISPLAY               TYPE   PUBLISHER   AGE
certified-operators   Certified Operators   grpc   Red Hat     36m
community-operators   Community Operators   grpc   Red Hat     36m
redhat-marketplace    Red Hat Marketplace   grpc   Red Hat     36m
redhat-operators      Red Hat Operators     grpc   Red Hat     36m

[root@preserve-olm-env data]# oc get pods
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-766679c7df-h6ll7    1/1     Running   0          36m
community-operators-8447f45467-2xz2k    1/1     Running   0          36m
marketplace-operator-6d5f4577c6-sg99j   1/1     Running   0          41m
redhat-marketplace-5b6c55f948-pzc8n     1/1     Running   0          36m
redhat-operators-59b888b688-dndmh       1/1     Running   0          36m

1, Create a CatalogSource CR that consume the index image.
[root@preserve-olm-env data]# cat cs-win.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: wmco
  namespace: openshift-marketplace
spec:
  displayName: Windows operators
  sourceType: grpc
  image: quay.io/sgaoshang/wmco-index:1.0.0
  updateStrategy:
    registryPoll:
      interval: 5m
[root@preserve-olm-env data]# oc create -f cs-win.yaml 
catalogsource.operators.coreos.com/wmco created

[root@preserve-olm-env data]# oc get pods
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-766679c7df-h6ll7    1/1     Running   0          42m
community-operators-8447f45467-2xz2k    1/1     Running   0          42m
marketplace-operator-6d5f4577c6-sg99j   1/1     Running   0          48m
redhat-marketplace-5b6c55f948-pzc8n     1/1     Running   0          42m
redhat-operators-59b888b688-dndmh       1/1     Running   0          42m
wmco-nxdtp                              1/1     Running   0          4m37s

2, After a while, only the update checking pod restart. The current serving pod doesn't restart. LGTM, verify it.
[root@preserve-olm-env data]# oc get pods
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-766679c7df-h6ll7    1/1     Running   0          63m
community-operators-8447f45467-2xz2k    1/1     Running   0          63m
marketplace-operator-6d5f4577c6-sg99j   1/1     Running   0          69m
redhat-marketplace-5b6c55f948-pzc8n     1/1     Running   0          63m
redhat-operators-59b888b688-dndmh       1/1     Running   0          63m
wmco-kl2nw                              1/1     Running   0          97s
wmco-nxdtp                              1/1     Running   0          25m

Comment 7 errata-xmlrpc 2020-11-11 04:57:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.30 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4321


Note You need to log in before you can comment on or make changes to this bug.